<script src="https://code.highcharts.com/highcharts.js"></script>
<div id="container"></div>
<script>
  Highcharts.chart('container', {
      chart: {
          type: 'column'
      },
      title: {
          text: 'Matches per season'
      },
      xAxis: {
          categories: [
            {% for entry in dataset %}{{ entry.season }}{% if not forloop.last %}, {% endif %}{% endfor %}
          ]
      },
      series: [{
          name: 'Number of matches',
          data: [
            {% for entry in dataset %}{{ entry.number_of_games }}{% if not forloop.last %}, {% endif %}{% endfor %}
          ],
          color: 'green'
      }]
  });
</script>